Bug 263256 - Amarok crashes after playing a song [@ CoverFetchArtPayload::prepareLastFmUrls]
Summary: Amarok crashes after playing a song [@ CoverFetchArtPayload::prepareLastFmUrls]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Albums (show other bugs)
Version: 2.4.0
Platform: Ubuntu Packages Linux
: HI crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
: 261630 263777 263862 263961 264483 265270 265720 266252 266704 266841 267284 267715 268312 268610 269432 269472 269854 270285 271562 271723 271800 273552 273841 274224 274276 274785 278315 279304 280989 281277 281773 283245 285011 285108 287328 288421 300541 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-15 20:29 UTC by Maxime Corteel
Modified: 2012-05-24 10:30 UTC (History)
39 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
messed up context widgets (133.59 KB, image/png)
2011-01-16 12:13 UTC, Maxime Corteel
Details
New crash information added by DrKonqi (22.51 KB, text/plain)
2011-06-24 17:50 UTC, Edward Oubrayrie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Corteel 2011-01-15 20:29:54 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.5.95 (4.6 RC2)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-24-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
I just stopped playing a song.
The "recently added" widget was buggy (only showed 1 with a layout issue) and amarok crashed when I clicked it.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb4e55780 (LWP 5785))]

Thread 16 (Thread 0xadf90b70 (LWP 5786)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a32884 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0x00bbadf4 in __pthread_cond_timedwait (cond=0x92a66b0, mutex=0x92a6698, abstime=0xadf90200) at forward.c:152
#3  0x07963b3f in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 15 (Thread 0xad78fb70 (LWP 5787)):
#0  0x06372e36 in clock_gettime (clock_id=104296436, tp=0xad78ee60) at ../sysdeps/unix/clock_gettime.c:100
#1  0x0648b50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x065626e5 in QTimerInfoList::updateCurrentTime (this=0x91b81a4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0656272a in QTimerInfoList::timerWait (this=0x91b81a4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x065607a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xad78ef8c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0656083d in timerSourcePrepare (source=0x0, timeout=0x6376ff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x08936e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x08937279 in ?? () from /lib/libglib-2.0.so.0
#9  0x08937848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0656059f in QEventDispatcherGlib::processEvents (this=0x922f280, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x06530609 in QEventLoop::processEvents (this=0xad78f160, flags=) at kernel/qeventloop.cpp:149
#12 0x06530a8a in QEventLoop::exec (this=0xad78f160, flags=...) at kernel/qeventloop.cpp:201
#13 0x0642cb7e in QThread::exec (this=0x92a6da0) at thread/qthread.cpp:490
#14 0x02ab6daa in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#15 0x0642fdf9 in QThreadPrivate::start (arg=0x92a6da0) at thread/qthread_unix.cpp:266
#16 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 14 (Thread 0xacf8eb70 (LWP 5788)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00b9edf6 in __poll (fds=0xc35ff4, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x01d94562 in ?? () from /usr/lib/libpulse.so.0
#3  0x01d80ab9 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x01d82a73 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x01d82b44 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x01d94303 in ?? () from /usr/lib/libpulse.so.0
#7  0x022ebbd5 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 13 (Thread 0xa876bb70 (LWP 5789)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x90c5240, mutex=0x90c5228) at forward.c:139
#3  0x07975b54 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 12 (Thread 0xa7f28b70 (LWP 5790)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x91509b0, mutex=0x9150998) at forward.c:139
#3  0x07975b54 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 11 (Thread 0xa76e5b70 (LWP 5791)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x94ec3e8, mutex=0x94ec3d0) at forward.c:139
#3  0x07975b54 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 10 (Thread 0xa688fb70 (LWP 5793)):
#0  0x0893787b in g_main_context_iteration () from /lib/libglib-2.0.so.0
#1  0x0656059f in QEventDispatcherGlib::processEvents (this=0x967f2c0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#2  0x06530609 in QEventLoop::processEvents (this=0xa688f170, flags=) at kernel/qeventloop.cpp:149
#3  0x06530a8a in QEventLoop::exec (this=0xa688f170, flags=...) at kernel/qeventloop.cpp:201
#4  0x0642cb7e in QThread::exec (this=0x967b108) at thread/qthread.cpp:490
#5  0x0650f35b in QInotifyFileSystemWatcherEngine::run (this=0x967b108) at io/qfilesystemwatcher_inotify.cpp:248
#6  0x0642fdf9 in QThreadPrivate::start (arg=0x967b108) at thread/qthread_unix.cpp:266
#7  0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 9 (Thread 0xa508db70 (LWP 5794)):
#0  0x00a303eb in __pthread_mutex_lock (mutex=0x96ad884) at pthread_mutex_lock.c:61
#1  0x00bbaf66 in pthread_mutex_lock (mutex=0x96ad884) at forward.c:182
#2  0x08936d0f in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x08937279 in ?? () from /lib/libglib-2.0.so.0
#4  0x08937848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0656059f in QEventDispatcherGlib::processEvents (this=0x9684fb8, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x06530609 in QEventLoop::processEvents (this=0xa508d190, flags=) at kernel/qeventloop.cpp:149
#7  0x06530a8a in QEventLoop::exec (this=0xa508d190, flags=...) at kernel/qeventloop.cpp:201
#8  0x0642cb7e in QThread::exec (this=0x968c788) at thread/qthread.cpp:490
#9  0x07c67171 in Herqq::Upnp::HControlPointThread::run() () from /usr/lib/libHUpnp.so.0
#10 0x0642fdf9 in QThreadPrivate::start (arg=0x968c788) at thread/qthread_unix.cpp:266
#11 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 8 (Thread 0xa3369b70 (LWP 5796)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x9a875f8, mutex=0x9a875e0) at forward.c:139
#3  0x064309c7 in wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00a1c520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9a874b8, th=0x9a87838) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00a1fccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9a82d80, th=0x9a87838) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00a1ba4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9a874b8, th=0x9a87838) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00a1fdc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9a87838) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9a87838, previous=0xaff4520) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00a1de4e in ThreadWeaver::ThreadRunHelper::run (this=0xa33691d4, parent=0x9a874b8, th=0x9a87838) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00a1e56b in ThreadWeaver::Thread::run (this=0x9a87838) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0642fdf9 in QThreadPrivate::start (arg=0x9a87838) at thread/qthread_unix.cpp:266
#13 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 7 (Thread 0xa2b68b70 (LWP 5797)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x9a875f8, mutex=0x9a875e0) at forward.c:139
#3  0x064309c7 in wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00a1c520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9a874b8, th=0x9a893e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00a1fccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9a82d80, th=0x9a893e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00a1ba4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9a874b8, th=0x9a893e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00a1fdc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9a893e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9a893e8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00a1fde1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9a893e8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9a893e8, previous=0xb046540) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00a1de4e in ThreadWeaver::ThreadRunHelper::run (this=0xa2b681d4, parent=0x9a874b8, th=0x9a893e8) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x00a1e56b in ThreadWeaver::Thread::run (this=0x9a893e8) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0642fdf9 in QThreadPrivate::start (arg=0x9a893e8) at thread/qthread_unix.cpp:266
#15 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 6 (Thread 0xa2367b70 (LWP 5798)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x9a875f8, mutex=0x9a875e0) at forward.c:139
#3  0x064309c7 in wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00a1c520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9a874b8, th=0x9a8e9b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00a1fccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9a82d80, th=0x9a8e9b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00a1ba4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9a874b8, th=0x9a8e9b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00a1fdc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9a8e9b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9a8e9b0, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00a1fde1 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9a8e9b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9a8e9b0, previous=0xb2f3d80) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00a1de4e in ThreadWeaver::ThreadRunHelper::run (this=0xa23671d4, parent=0x9a874b8, th=0x9a8e9b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x00a1e56b in ThreadWeaver::Thread::run (this=0x9a8e9b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x0642fdf9 in QThreadPrivate::start (arg=0x9a8e9b0) at thread/qthread_unix.cpp:266
#15 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 5 (Thread 0xa0c03b70 (LWP 5799)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00b9edf6 in __poll (fds=0xc35ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x08944a1b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0893743c in ?? () from /lib/libglib-2.0.so.0
#4  0x08937848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0656059f in QEventDispatcherGlib::processEvents (this=0x91e9358, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x06530609 in QEventLoop::processEvents (this=0xa0c03170, flags=) at kernel/qeventloop.cpp:149
#7  0x06530a8a in QEventLoop::exec (this=0xa0c03170, flags=...) at kernel/qeventloop.cpp:201
#8  0x0642cb7e in QThread::exec (this=0x96b4aa0) at thread/qthread.cpp:490
#9  0x0650f35b in QInotifyFileSystemWatcherEngine::run (this=0x96b4aa0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x0642fdf9 in QThreadPrivate::start (arg=0x96b4aa0) at thread/qthread_unix.cpp:266
#11 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 4 (Thread 0xa0402b70 (LWP 5800)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x9a875f8, mutex=0x9a875e0) at forward.c:139
#3  0x064309c7 in wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x9a874d0, mutex=0x90c4450, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00a1c520 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9a874b8, th=0x9c28e90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x00a1fccc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9a82d80, th=0x9c28e90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00a1ba4b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9a874b8, th=0x9c28e90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00a1fdc2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9a82d80, th=0x9c28e90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00a1ca23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9a874b8, th=0x9c28e90, previous=0xac3d8e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00a1de4e in ThreadWeaver::ThreadRunHelper::run (this=0xa04021d4, parent=0x9a874b8, th=0x9c28e90) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00a1e56b in ThreadWeaver::Thread::run (this=0x9c28e90) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0642fdf9 in QThreadPrivate::start (arg=0x9c28e90) at thread/qthread_unix.cpp:266
#13 0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 3 (Thread 0x9fbf9b70 (LWP 5801)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0xb7713770, mutex=0xb7713758) at forward.c:139
#3  0xb720b3a5 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb720b481 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 2 (Thread 0x99a76b70 (LWP 5804)):
#0  0x00884416 in __kernel_vsyscall ()
#1  0x00a324dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x00bbad9d in __pthread_cond_wait (cond=0x4bb7290, mutex=0x4bb7278) at forward.c:139
#3  0x04ab3877 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x4bb21a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x04ab38c1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x4bb21a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x02190ba8 in ?? () from /usr/lib/nvidia-current/libGL.so.1

Thread 1 (Thread 0xb4e55780 (LWP 5785)):
[KCrash Handler]
#7  0x013075b8 in CoverFetchArtPayload::prepareLastFmUrls (this=0x9ce0200, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:601
#8  0x0130ce18 in CoverFetchArtPayload::prepareUrls (this=0x9ce0200) at ../../src/covermanager/CoverFetchUnit.cpp:458
#9  0x01302a7e in CoverFetchArtPayload::setXml (this=0x9ce0200, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:440
#10 0x01301632 in CoverFetchQueue::add (this=0x9a6ab30, album=..., opt=CoverFetch::Automatic, src=CoverFetch::LastFm, xml=...) at ../../src/covermanager/CoverFetchQueue.cpp:56
#11 0x012fc197 in CoverFetcher::slotResult (this=0x9a01c60, url=..., data=..., e=...) at ../../src/covermanager/CoverFetcher.cpp:202
#12 0x012fcab0 in CoverFetcher::qt_metacall (this=0x9a01c60, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfb9aacc) at ./CoverFetcher.moc:92
#13 0x065378ca in QMetaObject::metacall (object=0x9a01c60, cl=QMetaObject::ReadProperty, idx=8, argv=0xbfb9aacc) at kernel/qmetaobject.cpp:237
#14 0x0653b352 in QMetaMethod::invoke (this=0xbfb9ac2c, object=0x9a01c60, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1575
#15 0x0116fa69 in invoke (this=0x9a69ad8) at /usr/include/qt4/QtCore/qmetaobject.h:119
#16 NetworkAccessManagerProxy::NetworkAccessManagerProxyPrivate::_replyFinished (this=0x9a69ad8) at ../../src/network/NetworkAccessManagerProxy.cpp:98
#17 0x0116e51b in NetworkAccessManagerProxy::qt_metacall (this=0x9a6aff8, _c=QMetaObject::InvokeMetaMethod, _id=19, _a=0xbfb9adbc) at ./NetworkAccessManagerProxy.moc:86
#18 0x065378ca in QMetaObject::metacall (object=0x9a6aff8, cl=QMetaObject::ReadProperty, idx=19, argv=0xbfb9adbc) at kernel/qmetaobject.cpp:237
#19 0x0654a6ad in QMetaObject::activate (sender=0xa192d60, m=0x51e448c, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3280
#20 0x051a33e7 in QNetworkReply::finished (this=0xa192d60) at .moc/release-shared/moc_qnetworkreply.cpp:152
#21 0x07574dc5 in KDEPrivate::AccessManagerReply::slotResult (this=0xa192d60, kJob=0xac48150) at ../../kio/kio/accessmanagerreply_p.cpp:259
#22 0x0757570f in KDEPrivate::AccessManagerReply::qt_metacall (this=0xa192d60, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbfb9b098) at ./accessmanagerreply_p.moc:83
#23 0x065378ca in QMetaObject::metacall (object=0xa192d60, cl=QMetaObject::ReadProperty, idx=17, argv=0xbfb9b098) at kernel/qmetaobject.cpp:237
#24 0x0654a6ad in QMetaObject::activate (sender=0xac48150, m=0x7a6548, local_signal_index=3, argv=0x0) at kernel/qobject.cpp:3280
#25 0x00624d83 in KJob::result (this=0xac48150, _t1=0xac48150) at ./kjob.moc:194
#26 0x006250e8 in KJob::emitResult (this=0xac48150) at ../../kdecore/jobs/kjob.cpp:312
#27 0x075b6a40 in KIO::SimpleJob::slotFinished (this=0xac48150) at ../../kio/kio/job.cpp:525
#28 0x075b739c in KIO::TransferJob::slotFinished (this=0xac48150) at ../../kio/kio/job.cpp:1118
#29 0x075b4c43 in KIO::TransferJob::qt_metacall (this=0xac48150, _c=QMetaObject::InvokeMetaMethod, _id=47, _a=0xbfb9b34c) at ./jobclasses.moc:367
#30 0x065378ca in QMetaObject::metacall (object=0xac48150, cl=QMetaObject::ReadProperty, idx=47, argv=0xbfb9b34c) at kernel/qmetaobject.cpp:237
#31 0x0654a6ad in QMetaObject::activate (sender=0xa9aa6a0, m=0x776b6c4, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3280
#32 0x07672327 in KIO::SlaveInterface::finished (this=0xa9aa6a0) at ./slaveinterface.moc:171
#33 0x07675ac8 in KIO::SlaveInterface::dispatch (this=0xa9aa6a0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:173
#34 0x076727e3 in KIO::SlaveInterface::dispatch (this=0xa9aa6a0) at ../../kio/kio/slaveinterface.cpp:89
#35 0x07665138 in KIO::Slave::gotInput (this=0xa9aa6a0) at ../../kio/kio/slave.cpp:348
#36 0x07665343 in KIO::Slave::qt_metacall (this=0xa9aa6a0, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfb9b67c) at ./slave.moc:82
#37 0x065378ca in QMetaObject::metacall (object=0xa9aa6a0, cl=QMetaObject::ReadProperty, idx=30, argv=0xbfb9b67c) at kernel/qmetaobject.cpp:237
#38 0x0654a6ad in QMetaObject::activate (sender=0x9c54448, m=0x77684a0, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3280
#39 0x0757c847 in KIO::Connection::readyRead (this=0x9c54448) at ./connection.moc:92
#40 0x0757ebae in KIO::ConnectionPrivate::dequeue (this=0xac51718) at ../../kio/kio/connection.cpp:82
#41 0x0757ecde in KIO::Connection::qt_metacall (this=0x9c54448, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x9bd83c8) at ./connection.moc:79
#42 0x065378ca in QMetaObject::metacall (object=0x9c54448, cl=QMetaObject::ReadProperty, idx=5, argv=0x9bd83c8) at kernel/qmetaobject.cpp:237
#43 0x06542df6 in QMetaCallEvent::placeMetaCall (this=0x9d17d30, object=0x9c54448) at kernel/qobject.cpp:534
#44 0x065446a2 in QObject::event (this=0x9c54448, e=0xabd7bd0) at kernel/qobject.cpp:1219
#45 0x02f00fdc in QApplicationPrivate::notify_helper (this=0x90ad2d0, receiver=0x9c54448, e=0x9d17d30) at kernel/qapplication.cpp:4396
#46 0x02f0704e in QApplication::notify (this=0xbfb9bfd8, receiver=0x9c54448, e=0x9d17d30) at kernel/qapplication.cpp:3798
#47 0x00319f8a in KApplication::notify (this=0xbfb9bfd8, receiver=0x9c54448, event=0x9d17d30) at ../../kdeui/kernel/kapplication.cpp:311
#48 0x06531b3b in QCoreApplication::notifyInternal (this=0xbfb9bfd8, receiver=0x9c54448, event=0x9d17d30) at kernel/qcoreapplication.cpp:732
#49 0x06534d8b in sendEvent (receiver=0x0, event_type=0, data=0x8f9b248) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8f9b248) at kernel/qcoreapplication.cpp:1373
#51 0x06534f4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#52 0x06560a74 in sendPostedEvents (s=0x90a5b70) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#53 postEventSourceDispatch (s=0x90a5b70) at kernel/qeventdispatcher_glib.cpp:277
#54 0x08933855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#55 0x08937668 in ?? () from /lib/libglib-2.0.so.0
#56 0x08937848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#57 0x06560565 in QEventDispatcherGlib::processEvents (this=0x90a5ac0, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#58 0x02fc2be5 in QGuiEventDispatcherGlib::processEvents (this=0x90a5ac0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#59 0x06530609 in QEventLoop::processEvents (this=0xbfb9bf34, flags=) at kernel/qeventloop.cpp:149
#60 0x06530a8a in QEventLoop::exec (this=0xbfb9bf34, flags=...) at kernel/qeventloop.cpp:201
#61 0x0653500f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#62 0x02effe07 in QApplication::exec () at kernel/qapplication.cpp:3672
#63 0x08050e75 in main (argc=1, argv=0xbfb9c994) at ../../src/main.cpp:268

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-01-16 00:10:08 UTC
Could you please remove your previous configuration files and try again? I am not  able to reproduce here.
FYI: the configuration files are located in $HOME/.kde/share/config/ and all start with amarok*
Comment 2 Maxime Corteel 2011-01-16 12:13:46 UTC
Created attachment 56080 [details]
messed up context widgets

As you can see, the "recently added content" widget is empty, shows a portion on what looks like the "band albums" (which should disappear after stopping).
This happened after stopping a track with meta+v and it went away after playing another track.
And BTW, the albums in the "recently added" view are far from the last ones I added, and that since yesterday (amarok 2.4). I can't really figure out why they are here because I added them like 1 to 3 years ago and not in that order at all...
Comment 3 Maxime Corteel 2011-01-16 12:14:41 UTC
Oh, sorry, and the screenshot I sent was taken after removing the config/amarokrc file.
Comment 4 Myriam Schweingruber 2011-01-16 18:36:31 UTC
Thank you for the feedback.
Comment 5 Myriam Schweingruber 2011-01-20 23:43:52 UTC
*** Bug 263777 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-01-21 13:32:33 UTC
*** Bug 263862 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-01-21 13:33:32 UTC
Confirmed by duplicate
Comment 8 Myriam Schweingruber 2011-01-22 14:04:03 UTC
*** Bug 263961 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-01-28 15:00:43 UTC
*** Bug 264483 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2011-02-03 20:37:46 UTC
*** Bug 265270 has been marked as a duplicate of this bug. ***
Comment 11 Sergey Ivanov 2011-02-04 18:13:20 UTC
Git commit eabad90a8c3902b17f648d08a443ae4b65e14397 by Sergey Ivanov.
Committed on 04/02/11 at 17:58.
Pushed by ivanov into branch 'master'.

Fixed crash when trying to load cover for track/album without artist.
BUG: 263256

M  +1    -0    ChangeLog     
M  +6    -2    src/covermanager/CoverFetchUnit.cpp     

http://commits.kde.org/amarok/eabad90a8c3902b17f648d08a443ae4b65e14397
Comment 12 Myriam Schweingruber 2011-02-09 12:05:38 UTC
*** Bug 265720 has been marked as a duplicate of this bug. ***
Comment 13 Kevin Funk 2011-02-16 22:49:58 UTC
*** Bug 266252 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Funk 2011-02-20 00:59:54 UTC
*** Bug 266704 has been marked as a duplicate of this bug. ***
Comment 15 Kevin Funk 2011-02-21 20:34:37 UTC
*** Bug 266841 has been marked as a duplicate of this bug. ***
Comment 16 Myriam Schweingruber 2011-02-28 01:26:15 UTC
*** Bug 267284 has been marked as a duplicate of this bug. ***
Comment 17 Rick W. Chen 2011-03-06 05:13:44 UTC
*** Bug 267715 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2011-03-19 03:00:05 UTC
*** Bug 268312 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2011-03-19 11:48:39 UTC
*** Bug 268610 has been marked as a duplicate of this bug. ***
Comment 20 Myriam Schweingruber 2011-03-26 10:09:49 UTC
*** Bug 269432 has been marked as a duplicate of this bug. ***
Comment 21 Kevin Funk 2011-03-27 11:50:29 UTC
*** Bug 269472 has been marked as a duplicate of this bug. ***
Comment 22 Myriam Schweingruber 2011-04-01 20:02:51 UTC
*** Bug 269854 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2011-04-07 11:22:47 UTC
*** Bug 270285 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2011-04-20 11:08:52 UTC
*** Bug 261630 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2011-04-24 16:33:31 UTC
*** Bug 271562 has been marked as a duplicate of this bug. ***
Comment 26 Myriam Schweingruber 2011-04-26 09:32:41 UTC
*** Bug 271723 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2011-04-27 11:27:40 UTC
*** Bug 271800 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2011-05-18 13:46:53 UTC
*** Bug 273552 has been marked as a duplicate of this bug. ***
Comment 29 Myriam Schweingruber 2011-05-25 08:52:29 UTC
*** Bug 273841 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2011-05-29 08:55:14 UTC
*** Bug 274224 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2011-05-29 10:05:56 UTC
*** Bug 274276 has been marked as a duplicate of this bug. ***
Comment 32 Kevin Funk 2011-06-02 22:32:57 UTC
*** Bug 274785 has been marked as a duplicate of this bug. ***
Comment 33 Edward Oubrayrie 2011-06-24 17:50:33 UTC
Created attachment 61303 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

Why is this still not fixed in (k)ubuntu natty when a fix was uploaded months ago ?

-- Backtrace (Reduced):
#6  0x00007fe704e4a54a in CoverFetchArtPayload::prepareLastFmUrls (this=0x3183d40, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007fe704e4b0d3 in CoverFetchArtPayload::prepareUrls (this=0x3183d40) at ../../src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007fe704e3f158 in CoverFetchArtPayload::setXml (this=0x3183d40, xml=<value optimized out>) at ../../src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007fe704e3e437 in CoverFetchQueue::add (this=0x1a7ecb0, album=..., opt=CoverFetch::Automatic, src=<value optimized out>, xml=...) at ../../src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007fe704e39490 in CoverFetcher::slotResult (this=0x1a7bb20, url=<value optimized out>, data=..., e=<value optimized out>) at ../../src/covermanager/CoverFetcher.cpp:202
Comment 34 Myriam Schweingruber 2011-06-25 05:17:24 UTC
Please check http://kubuntu.org/news, Kubuntu ships Amarok 2.4.1 since several weeks, as well as KDE 4.6.4
Comment 35 Edward Oubrayrie 2011-06-25 06:26:38 UTC
Thank you ! I already had the kubuntu-ppa, but I would never have thought to go searching in the backports ppa... I find it funny that amarok 2.4.1 is a backport against 2.4, when firefox 5.0 is not a backport against 4.0 ;)
(In reply to comment #34)
Comment 36 Myriam Schweingruber 2011-06-26 19:59:40 UTC
Nothing funny herel: there is quite a difference between a major release like Firefox and a point release like Amarok did.
Comment 37 Kevin Funk 2011-07-23 10:24:30 UTC
*** Bug 278315 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2011-08-05 07:52:03 UTC
*** Bug 279304 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2011-08-31 22:05:09 UTC
*** Bug 280989 has been marked as a duplicate of this bug. ***
Comment 40 Myriam Schweingruber 2011-09-03 17:03:01 UTC
*** Bug 281277 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2011-09-11 12:36:37 UTC
*** Bug 281773 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2011-10-04 05:34:51 UTC
*** Bug 283245 has been marked as a duplicate of this bug. ***
Comment 43 Myriam Schweingruber 2011-10-27 17:29:59 UTC
*** Bug 285011 has been marked as a duplicate of this bug. ***
Comment 44 Myriam Schweingruber 2011-10-27 17:47:59 UTC
*** Bug 285108 has been marked as a duplicate of this bug. ***
Comment 45 Myriam Schweingruber 2011-11-23 22:33:51 UTC
*** Bug 287328 has been marked as a duplicate of this bug. ***
Comment 46 Myriam Schweingruber 2011-12-07 18:31:35 UTC
*** Bug 288421 has been marked as a duplicate of this bug. ***
Comment 47 Myriam Schweingruber 2012-05-24 10:30:44 UTC
*** Bug 300541 has been marked as a duplicate of this bug. ***